# Class PeakPickEvent

java.lang.Object
java.util.EventObject
jspecview.common.PeakPickEvent

All Implemented Interfaces:
  `Serializable`

public class PeakPickEvent extends EventObject

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PeakPickEvent(Object source, Coordinate coord, PeakInfo peakInfo)`

## Method Summary

Modifier and Type
Method
Description
`Coordinate`
`getCoord()`
`PeakInfo`
`getPeakInfo()`
`String`
`toString()`

### Methods inherited from class EventObject

`getSource`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PeakPickEvent

public PeakPickEvent(Object source, Coordinate coord, PeakInfo peakInfo)

## Method Details

### getCoord

public Coordinate getCoord()

### getPeakInfo

public PeakInfo getPeakInfo()

### toString

public String toString()

Overrides:
  `toString` in class `EventObject`